Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000815Taste[All Projects] ASN.1 Compiler v4public2018-11-21 13:382018-12-10 11:27
Reportercavada@fbk.eu 
Assigned Togmamais 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000815:

asn1scc generates wrong buffer size for XER encoding

Description

The computation of the size of buffers for XER encoding seems to be wrong.

For T_Boolean, it is 36 (31 should be enough)

Worse, size of a sequence is lower than needed: in the example, size
for T_Boolean_Seq is computed to be 49, when it should be 62.

Steps To Reproduce

See attached example, where the problem is shown.

TagsNo tags attached.
Attached Filestgz file icon xer-bug.tgz [^] (1,138 bytes) 2018-11-21 13:38

- Relationships

-  Notes
(0003534)
gmamais (developer)
2018-12-10 11:27

Bug fixed in the latest version (4.1.0.6f).


- Issue History
Date Modified Username Field Change
2018-11-21 13:38 cavada@fbk.eu New Issue
2018-11-21 13:38 cavada@fbk.eu File Added: xer-bug.tgz
2018-11-22 08:38 maxime Assigned To

=> gmamais

2018-11-22 08:38 maxime Status

new => assigned

2018-12-10 11:27 gmamais Note Added: 0003534
2018-12-10 11:27 gmamais Status

assigned => resolved

2018-12-10 11:27 gmamais Resolution

open => fixed



Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker